<?php
require_once ('../core/base.php');
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';

try {
    // Инициализация класса с id сайта и секретным ключом
    $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

    // Проверка обработчика (PING)
    if ($wapkassa->ping($_POST)) {
        // возврат успешной проверки
        echo $wapkassa->successPing();
    } else {
        // Парсинг входящих параметров
        $params = $wapkassa->parseRequest($_POST);

        $params['id']; // id платежа в системе wapkassa
        $params['site_id']; // id площадки
        $params['time']; // время оплаты в unixtime
        $params['comm']; // комментарий платежа
        $params['amount']; // сумма платежа
        $params['add']; // массив с допольнительными параметрами

        $gold = $params['add']['count'];
        //Бонусы!
        if($gold == 500){
            $rub = 50;
            $bonus = 50;
        }
        if($gold == 100){
            $rub = 95;
            $bonus = 200;
        }
        if($gold == 2500){
            $rub = 240;
            $bonus = 750;
        }
        if($gold == 5000){
            $rub = 450;
            $bonus = 2000;
        }
        if($gold == 10000){
            $rub = 850;
            $bonus = 5000;
        }
        $gold = $gold + $bonus;
        //$bonus_bits = $params['add']['count']*50/100;
        //$all_bits = $bits+$bonus_bits;
		$us = $base -> query("SELECT * FROM `users` WHERE `id` = '".$params['add']['users_id']."'") -> fetch_assoc();

        // собственный код зачисления платежа на сайте
        if ($params['add']['type'] == 'bits' && !empty($wk_cena_bits[$params['add']['count']]) && $wk_cena_bits[$params['add']['count']] <= $params['amount']) {

            $base -> query("UPDATE `users` SET `gold` = `gold` + ".$gold.", `donated` = `donated` + ".$rub." WHERE `id` = '". $params['add']['users_id']."'");

        }
        // возврат успешной обработки
        echo $wapkassa->successPayment();
    }
} catch (Exception $e) {
    // вывод ошибки
    echo 'Ошибка: ' . $e->getMessage() . PHP_EOL;
}
?>